> ## Documentation Index
> Fetch the complete documentation index at: https://www.helius.dev/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# getPreConfCoverage

> 获取 Preconfirmations 覆盖率（以网络质押量的百分比表示）及其区域分布。

使用此方法获取 [Preconfirmations 覆盖率](/docs/zh/pre-confirmations/overview#覆盖范围)。响应包括网络质押量覆盖率和区域明细。

## 端点

向 Helius [Gatekeeper](/docs/zh/gatekeeper/overview) 端点发送 HTTP POST 请求：

```text theme={"system"}
POST https://beta.helius-rpc.com/?api-key=YOUR_API_KEY
```

## 授权

<ParamField query="api-key" type="string" required>
  你的 Helius API 密钥，通过 `api-key` 查询参数传递。
</ParamField>

## 请求体

此方法不接受任何参数。请在请求中省略 `params`。

## 响应

<ResponseField name="result.networkSharePercent" type="number">
  Helius 和 BAM 覆盖的网络总质押量百分比。
</ResponseField>

<ResponseField name="result.coverageByRegion" type="object">
  各区域在已覆盖质押量中所占的份额。例如，`"fra": 0.27` 表示法兰克福占已覆盖质押量的 27%。
</ResponseField>

<Note>
  覆盖率按质押量衡量，而不是按已交付交易的百分比衡量。
  无论你的订阅筛选条件如何，它都会涵盖这两个来源，但不保证提供连续的流。
  请参阅[覆盖率](/docs/zh/pre-confirmations/overview#覆盖范围)。
</Note>

<RequestExample>
  ```bash cURL theme={"system"}
  curl "https://beta.helius-rpc.com/?api-key=YOUR_API_KEY" \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
      "jsonrpc": "2.0",
      "id": 1,
      "method": "getPreConfCoverage"
    }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={"system"}
  {
    "jsonrpc": "2.0",
    "id": 1,
    "result": {
      "networkSharePercent": 45.84,
      "coverageByRegion": {
        "ams": 0.21,
        "dub": 0.02,
        "ewr": 0.12,
        "fra": 0.27,
        "hkg": 0.01,
        "iad": 0.01,
        "lax": 0.02,
        "lon": 0.06,
        "pit": 0.01,
        "sea": 0.03,
        "sgp": 0.08,
        "slc": 0.01,
        "sqq": 0.09,
        "tyo": 0.06
      }
    }
  }
  ```
</ResponseExample>
